Nested items in React File Manager component

18 Nov 201824 minutes to read

File Manager can be rendered inside the other components like Tab, Dialog, and more.

Adding File Manager inside the dialog

The following example shows the File Manager component rendered inside the dialog. Click the browse button in the Uploader element to open the File Manager inside the Dialog component.

import { DetailsView, Inject, FileManagerComponent, NavigationPane, Toolbar } from '@syncfusion/ej2-react-filemanager';
import * as React from 'react';
import { UploaderComponent } from '@syncfusion/ej2-react-inputs';
import { DialogComponent } from '@syncfusion/ej2-react-popups';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
function App() {
    let fileUploadObj;
    let dialogObj;
    let filemanagerObj;
    let animationSettings = { effect: 'None' };
    // 'Uploader' will be shown, if Dialog is closed
    function dialogClose() {
        document.getElementById('uploadFileManager').style.display = 'block';
    }
    // 'Uploader' will be hidden, if Dialog is opened
    function dialogOpen() {
        document.getElementById('uploadFileManager').style.display = 'none';
    }
    // File Manager's fileOpen event function
    function onFileOpen(args) {
        let file = args.fileDetails;
        if (file.isFile) {
            args.cancel = true;
            if (file.size <= 0) {
                file.size = 10000;
            }
            fileUploadObj.files = [{ name: file.name, size: file.size, type: file.type }];
            dialogObj.hide();
        }
    }
    function btnClick() {
        dialogObj.show();
        filemanagerObj.path = "/";
        filemanagerObj.selectedItems = [];
        filemanagerObj.refresh();
    }
    let hostUrl = "https://physical-service.syncfusion.com/";
    let contextmenuItems = ['Open', '|', 'Cut', 'Copy', 'Delete', 'Rename', '|', 'Details'];
    let ajaxSettings = {
        url: hostUrl + "api/FileManager/FileOperations",
        getImageUrl: hostUrl + "api/FileManager/GetImage",
        uploadUrl: hostUrl + 'api/FileManager/Upload',
        downloadUrl: hostUrl + 'api/FileManager/Download'
    };
    let toolbarSettings = { items: ['NewFolder', 'Upload', 'Delete', 'Cut', 'Copy', 'Rename', 'SortBy', 'Refresh', 'Selection', 'View', 'Details'] };
    let contextMenuSettings = { file: contextmenuItems, folder: contextmenuItems };
    let allowMultiSelection = false;

    return (<div>
      <div className="control-section">
          <div id='uploadFileManager' className="fileupload">
              <UploaderComponent id='fileUpload' type='file' ref={(scope) => { fileUploadObj = scope; }}></UploaderComponent>
              <ButtonComponent id="openBtn" onClick={btnClick.bind(this)}>File Browser</ButtonComponent>
          </div>
          <div id='target' className="control-section">
              <DialogComponent width='850px' id='dialog' target={'#target'} ref={(scope) => { dialogObj = scope; }} header="Select a file" showCloseIcon={true} visible={false} open={dialogOpen.bind(this)} close={dialogClose.bind(this)} animationSettings={animationSettings}>
                  <FileManagerComponent id="filemanager" ref={(scope) => { filemanagerObj = scope; }} 
                    ajaxSettings={ajaxSettings} 
                    allowMultiSelection={allowMultiSelection} 
                    toolbarSettings={toolbarSettings} 
                    contextMenuSettings={contextMenuSettings} 
                    fileOpen={onFileOpen.bind(this)}>
                    <Inject services={[NavigationPane, DetailsView, Toolbar]}/>
                  </FileManagerComponent>
              </DialogComponent>
          </div>
      </div>
    </div>);
}
export default App;
import { DetailsView, Inject, FileManagerComponent, NavigationPane, Toolbar } from '@syncfusion/ej2-react-filemanager';
import * as React from 'react';
import { UploaderComponent } from '@syncfusion/ej2-react-inputs';
import { DialogComponent,AnimationSettingsModel } from '@syncfusion/ej2-react-popups';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';

function App() {
  let fileUploadObj: UploaderComponent;
  let dialogObj: DialogComponent;
  let filemanagerObj: FileManagerComponent; 
  let animationSettings:AnimationSettingsModel = { effect: 'None' };
   // 'Uploader' will be shown, if Dialog is closed
   function dialogClose(): void {
    document.getElementById('uploadFileManager').style.display = 'block';
  }

  // 'Uploader' will be hidden, if Dialog is opened
  function dialogOpen(): void {
    document.getElementById('uploadFileManager').style.display = 'none';
  }

  // File Manager's fileOpen event function
  function onFileOpen(args: any): void {
    let file = (args as any).fileDetails;
    if (file.isFile) {
        args.cancel = true;
        if (file.size <= 0 ) { file.size = 10000; }
        fileUploadObj.files = [{name: file.name, size: file.size, type: file.type }];
        dialogObj.hide();
    }
  }

  function btnClick(): void {
    dialogObj.show();
    filemanagerObj.path ="/";
    filemanagerObj.selectedItems =[];
    filemanagerObj.refresh();
  }
  let hostUrl: string = "https://physical-service.syncfusion.com/";
  let contextmenuItems: string[] = ['Open', '|', 'Cut', 'Copy', 'Delete', 'Rename', '|', 'Details'];
  let ajaxSettings: object = {
    url: hostUrl + "api/FileManager/FileOperations",
    getImageUrl: hostUrl + "api/FileManager/GetImage",
    uploadUrl: hostUrl + 'api/FileManager/Upload',
    downloadUrl: hostUrl + 'api/FileManager/Download'
  };
  let toolbarSettings: object = { items: ['NewFolder', 'Upload', 'Delete', 'Cut', 'Copy', 'Rename', 'SortBy', 'Refresh', 'Selection', 'View', 'Details'] };
  let contextMenuSettings: object = { file: contextmenuItems, folder: contextmenuItems };
  let allowMultiSelection: boolean = false;

  return (
    <div>
      <div className="control-section">
          <div id='uploadFileManager' className="fileupload">
              <UploaderComponent id='fileUpload' type='file' ref = {(scope) => {fileUploadObj = scope}}></UploaderComponent>
              <ButtonComponent id="openBtn"  onClick={ btnClick.bind(this) }>File Browser</ButtonComponent>
          </div>
          <div id='target' className="control-section">
              <DialogComponent width='850px' id='dialog' target={'#target'} ref={(scope) => {(dialogObj as any) = scope}} header="Select a file" showCloseIcon={true} 
                  visible={false} open={dialogOpen.bind(this)} close={dialogClose.bind(this)} animationSettings={animationSettings} >
                  <FileManagerComponent id="filemanager" ref = {(scope) => {(filemanagerObj as any) = scope}} 
                    ajaxSettings={ajaxSettings} 
                    allowMultiSelection={allowMultiSelection}                      
                    toolbarSettings={toolbarSettings} 
                    contextMenuSettings={contextMenuSettings} 
                    fileOpen={onFileOpen.bind(this)}>
                    <Inject services={[ NavigationPane, DetailsView, Toolbar]} />
                  </FileManagerComponent>
              </DialogComponent>
          </div>
      </div>
    </div>
  );
}
export default App;
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import App from './App';
ReactDOM.render(<App />, document.getElementById('root'));
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import App from './App';

ReactDOM.render( <App />, document.getElementById('root') as HTMLElement);

Adding File Manager inside the tab

The following example demonstrate that the File Manager component is placed inside the content area of tab element.

import * as React from 'react';
import { TabComponent, TabItemDirective, TabItemsDirective } from '@syncfusion/ej2-react-navigations';
import { DetailsView, FileManagerComponent, Inject, NavigationPane, Toolbar } from '@syncfusion/ej2-react-filemanager';
function App() {
    let fileObj;
    let tabObj;
    function select(args) {
        if (fileObj) {
            fileObj.refreshLayout();
          }
    }
    // Template for Pie Chart
    function template1() {
        return (<div className="template">
                  <div className="cnt-text">Overview</div>
                <div className="content">The file manager component contains a context menu for performing file operations, large-icons view for displaying the files and folders, and a breadcrumb for navigation. However, these basic functionalities can be extended by using the additional feature modules like toolbar, navigation pane, and details view to simplify the navigation and file operations within the file system.</div>
          </div>);
    }
    function template2() {
        let hostUrl = "https://physical-service.syncfusion.com/";
        let allowDragAndDrop = true;
        let ajaxSettings = {
            downloadUrl: hostUrl + 'api/FileManager/Download',
            getImageUrl: hostUrl + "api/FileManager/GetImage",
            uploadUrl: hostUrl + 'api/FileManager/Upload',
            url: hostUrl + "api/FileManager/FileOperations"
        };
        return (<div className="template">
              <div className="content-title">
                   <div className="cnt-text">File Manager with default functionalities</div>
              </div>
              <FileManagerComponent ref={s => (fileObj = s)} id="file" allowDragAndDrop={allowDragAndDrop} ajaxSettings={ajaxSettings}>
                <Inject services={[NavigationPane, DetailsView, Toolbar]}/>
              </FileManagerComponent>
            </div>);
    }
    let headertext;
    headertext = [{ text: "Overview" }, { text: "File Manager" }];
    return (<TabComponent ref={(tab) => { tabObj = tab; }} showCloseButton={true} heightAdjustMode='None' height={320} selected={select}>
              <TabItemsDirective>
              <TabItemDirective header={headertext[0]} content={template1}/>
              <TabItemDirective header={headertext[1]} content={template2.bind(this)}/>
              </TabItemsDirective>
          </TabComponent>);
}
export default App;
import * as React from 'react';
import { TabComponent, TabItemDirective, TabItemsDirective } from '@syncfusion/ej2-react-navigations';
import { DetailsView, FileManagerComponent, Inject, NavigationPane, Toolbar } from '@syncfusion/ej2-react-filemanager';


function App() {
    let fileObj: FileManagerComponent;
    let tabObj: TabComponent;

    function select(args: any): void {
      if (fileObj) {
        fileObj.refreshLayout();
      }
    }

    // Template for Pie Chart
    function template1(): JSX.Element {
      return(
          <div className="template" >
                  <div className="cnt-text">Overview</div>
                <div className="content">The File Manager component contains a context menu for performing file operations, large-icons view for displaying the files and folders, and a breadcrumb for navigation. However, these basic functionalities can be extended by using the additional feature modules like toolbar, navigation pane, and details view to simplify the navigation and file operations within the file system.</div>
          </div>
      );
    }
    function template2(): JSX.Element {
      let hostUrl: string = "https://physical-service.syncfusion.com/";
      let allowDragAndDrop: boolean = true;
      let ajaxSettings: object = {
        downloadUrl: hostUrl + 'api/FileManager/Download',
        getImageUrl: hostUrl + "api/FileManager/GetImage",
        uploadUrl: hostUrl + 'api/FileManager/Upload',
        url: hostUrl + "api/FileManager/FileOperations"
      };

        return(
          <div className="template" >
              <div className="content-title">
                   <div className="cnt-text">File Manager with default functionalities</div>
              </div>
              <FileManagerComponent ref={ s => (fileObj = s as FileManagerComponent)} id="file" 
                allowDragAndDrop={allowDragAndDrop}
                ajaxSettings={ajaxSettings} >
                <Inject services={[ NavigationPane, DetailsView, Toolbar]} />
              </FileManagerComponent>
            </div>
        );
    }
    let headertext: any;
    headertext = [{ text: "Overview" }, { text: "File Manager" }];
    return (
          <TabComponent ref={(tab) => { tabObj = tab }} showCloseButton={ true } heightAdjustMode='None' height={320} selected={select}>
              <TabItemsDirective>
              <TabItemDirective header={headertext[0]} content={ template1 as any } />
              <TabItemDirective header={headertext[1]} content={ template2.bind(this) as any }/>
              </TabItemsDirective>
          </TabComponent>
    );
}
export default App;
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import App from './App';
ReactDOM.render(<App />, document.getElementById('root'));
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import App from './App';

ReactDOM.render( <App />, document.getElementById('root') as HTMLElement);

Nested items in Angular File Manager component

18 Nov 201815 minutes to read

The File Manager component can be seamlessly rendered inside other Syncfusion components such as Dialog, Tab, and more. This integration capability allows you to create complex interfaces where file management functionality is needed within different UI contexts.

When nesting the File Manager, consider the parent container’s dimensions as they will affect the File Manager’s display area. You may need to adjust the width and height properties accordingly to ensure proper visibility and usability.

Adding File Manager inside a Dialog

The following example demonstrates how to render the File Manager component inside a Dialog. When users click the browse button in the Uploader element, the File Manager opens within a Dialog component, allowing them to select files from the managed file system. Once files are selected, they can be processed according to your application’s needs.

import { BrowserModule } from '@angular/platform-browser'
import { UploaderModule } from '@syncfusion/ej2-angular-inputs'
import { DialogModule } from '@syncfusion/ej2-angular-popups'
import { ButtonModule, CheckBoxModule } from '@syncfusion/ej2-angular-buttons'
import { NgModule } from '@angular/core'
import { FileManagerModule, NavigationPaneService, ToolbarService, DetailsViewService } from '@syncfusion/ej2-angular-filemanager'
import { Component, ViewChild, Inject } from '@angular/core';
import { UploaderComponent } from '@syncfusion/ej2-angular-inputs';
import { DialogComponent } from '@syncfusion/ej2-angular-popups';
import { FileManagerComponent, FileOpenEventArgs } from '@syncfusion/ej2-angular-filemanager';
import { EmitType } from '@syncfusion/ej2-base';

@Component({
    imports: [FileManagerModule, UploaderModule, DialogModule, ButtonModule, CheckBoxModule],
    providers: [NavigationPaneService, ToolbarService, DetailsViewService],
    standalone: true,
    selector: 'app-root',
    styleUrls: ['./app.component.css'],
    template: `<div class="sample-container">
                    <div id='uploadFileManager' class="fileupload">
                        <ejs-uploader #uploadObj id='defaultfileupload'></ejs-uploader>
                        <button ejs-button id='openBtn' (click)="btnClick()">File Browser</button>
                    </div>
                    <div id='target' class="control-section">
                        <ejs-dialog #dialogObj id='dialog' [visible]='visible' [header]='dialogHeader' [animationSettings]='animationSettings' [showCloseIcon]='showCloseIcon' (open)="dialogOpen()" (close)="dialogClose()" 
                            [target]='target' [width]='dialogWidth'>
                            <ejs-filemanager #filemanagerObj id='filemanager' [ajaxSettings]='ajaxSettings' [toolbarSettings]='toolbarSettings' [contextMenuSettings]='contextMenuSettings' [allowMultiSelection]='false' (fileOpen)="onFileOpen($event)" height="375px">
                            </ejs-filemanager>
                        </ejs-dialog>
                    </div>
                </div>`
})
export class AppComponent {
    @ViewChild('uploadObj')
    public uploadObj?: UploaderComponent;
    @ViewChild('dialogObj')
    public dialogObj?: DialogComponent;
    @ViewChild('filemanagerObj')
    public filemanagerObj?: FileManagerComponent;
    public dialogHeader = 'Select a file';
    public animationSettings: Object = { effect: 'None' };
    public showCloseIcon = true;
    public target = '#target';
    public visible = false;
    public dialogWidth = '850px';
    public ajaxSettings?: object;
    public contextMenuSettings?: object;
    public toolbarSettings?: object;
    public hostUrl = 'https://physical-service.syncfusion.com/';
    public contextmenuItems: string[] = ['Open', '|', 'Cut', 'Copy', 'Delete', 'Rename', '|', 'Details'];

    public btnClick: EmitType<object> = () => {
        this.dialogObj?.show();
        this.dialogOpen();
        (this.filemanagerObj as FileManagerComponent).path = '/';
        (this.filemanagerObj as FileManagerComponent).selectedItems = [];
        (this.filemanagerObj as FileManagerComponent).refresh();
    }

    // Uploader will be hidden, if Dialog is opened
    public dialogOpen: EmitType<object> = () => {
        (document.getElementById('uploadFileManager') as HTMLElement).style.display = 'none';
    }
    // Uploader will be shown, if Dialog is closed
    public dialogClose: EmitType<object> = () => {
        (document.getElementById('uploadFileManager') as HTMLElement).style.display = 'block';
    }

    // File Manager's fileOpen event function
    public onFileOpen(args: FileOpenEventArgs): void {
        let file = (args as any).fileDetails;
        if (file.isFile) {
            args.cancel = true;
            if (file.size <= 0) { file.size = 10000; }
            (this.uploadObj as UploaderComponent).files = [{ name: file.name, size: file.size, type: file.type }];
            this.dialogObj?.hide();
        }
    }

    public ngOnInit(): void {
        this.ajaxSettings = {
            url: this.hostUrl + 'api/FileManager/FileOperations',
            getImageUrl: this.hostUrl + 'api/FileManager/GetImage',
            uploadUrl: this.hostUrl + 'api/FileManager/Upload',
            downloadUrl: this.hostUrl + 'api/FileManager/Download'
        };
        this.toolbarSettings = {
            items: ['NewFolder', 'Upload', 'Delete', 'Cut', 'Copy', 'Rename', 'SortBy', 'Refresh', 'Selection', 'View', 'Details']
        };
        this.contextMenuSettings = {
            file: this.contextmenuItems,
            folder: this.contextmenuItems
        };
        (this.uploadObj as UploaderComponent).autoUpload = true;
    }

    public ngOnDestroy(): void {
        if ((document.querySelector('.sb-demo-section') as Element).classList.contains('upload-dialog')) {
            (document.querySelector('.sb-demo-section') as Element).classList.remove('upload-dialog');
        }
    }
}
@import "node_modules/@syncfusion/ej2-material3-theme/styles/file-manager/index.css";
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Adding File Manager inside a Tab

The following example demonstrates how to place the File Manager component inside the content area of a Tab element.

import { BrowserModule } from '@angular/platform-browser'
import { TabAllModule } from '@syncfusion/ej2-angular-navigations'
import { ButtonModule, CheckBoxModule } from '@syncfusion/ej2-angular-buttons'
import { NgModule } from '@angular/core'
import { FileManagerModule, NavigationPaneService, ToolbarService, DetailsViewService } from '@syncfusion/ej2-angular-filemanager'
import { Component } from '@angular/core';
import { FileManagerComponent } from '@syncfusion/ej2-angular-filemanager';

@Component({
    imports: [FileManagerModule, TabAllModule, ButtonModule, CheckBoxModule],
    providers: [NavigationPaneService, ToolbarService, DetailsViewService],
    standalone: true,
    selector: 'app-root',
    styleUrls: ['./app.component.css'],
    template: ` <div class="control-section e-tab-section">
                    <div class="e-sample-resize-container">
                        <!-- Render the Tab Component -->
                        <ejs-tab id="tab_default" heightAdjustMode='Content' [showCloseButton]='enableClose' >
                                <e-tabitems>
                                    <e-tabitem [header]='headerText[0]'>
                                        <ng-template #content>
                                            <div class="cnt-text" >Overview</div>
                                            The File Manager component contains a context menu for performing file operations, large-icons view for displaying the files and folders, and a breadcrumb for navigation. However, these basic functionalities can be extended by using the additional feature modules like toolbar, navigation pane, and details view to simplify the navigation and file operations within the file system.
                                        </ng-template>
                                    </e-tabitem>
                                    <e-tabitem [header]='headerText[1]'>
                                        <ng-template #content>
                                            <div class="cnt-text" >Filemanager with Default Functionalities</div>
                                            <ejs-filemanager id='file-manager' [ajaxSettings]='ajaxSettings' height="375px">
                                            </ejs-filemanager>
                                        </ng-template>
                                    </e-tabitem>
                                </e-tabitems>
                        </ejs-tab>
                    </div>
                </div>`
})
export class AppComponent {
    public headerText: Object | any = [{ text: 'Overview' }, { text: 'FileManager' }];
    public ajaxSettings?: object;
    // Mapping Tab items showCloseButton property
    public enableClose: boolean = true;
    public hostUrl: string = 'https://physical-service.syncfusion.com/';
    public ngOnInit(): void {
        this.ajaxSettings = {
            url: this.hostUrl + 'api/FileManager/FileOperations',
            getImageUrl: this.hostUrl + 'api/FileManager/GetImage',
            uploadUrl: this.hostUrl + 'api/FileManager/Upload',
            downloadUrl: this.hostUrl + 'api/FileManager/Download'
        };
    };
}
@import "node_modules/@syncfusion/ej2-material3-theme/styles/file-manager/index.css";
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Nested items in Vue File Manager component

18 Nov 201824 minutes to read

The File Manager can be rendered inside other components such as Tab, Dialog, and more.

Adding File Manager inside the dialog

The example below shows the File Manager rendered inside a Dialog. Use the Upload component’s browse button to open the File Manager inside the Dialog.

<template>
    <div>
        <div class="control-section">
            <div id='container' class="fileupload">
                <ejs-uploader ref="uploadObj" id='defaultfileupload' name="UploadFiles">
                </ejs-uploader>
                <ejs-button id="openBtn" v-on:click="btnClick">Browse...</ejs-button>
            </div>
            <div id='target' class="control-section">
                <ejs-dialog ref="uploadDialog" id="dialog" v-bind:visible="false" :header='dialogHeader' :animationSettings='animationSettings' :showCloseIcon='showCloseIcon' :open="dialogOpen" :close="dialogClose" :target='target'
                :width='dialogWidth'>
                    <ejs-filemanager ref="filemanagerObj" id="filemanager" :ajaxSettings='ajaxSettings' v-bind:allowMultiSelection="false" :fileOpen="onFileOpen" >
                    </ejs-filemanager>
                </ejs-dialog>
            </div>
        </div>
    </div>
</template>

<script setup>
    import { provide, ref } from "vue";

    import { UploaderComponent as EjsUploader } from '@syncfusion/ej2-vue-inputs';
    import { ButtonComponent as EjsButton } from "@syncfusion/ej2-vue-buttons";
    import { DialogComponent as EjsDialog} from '@syncfusion/ej2-vue-popups';
    import { FileManagerComponent as EjsFilemanager, NavigationPane, Toolbar, DetailsView } from "@syncfusion/ej2-vue-filemanager";

    const uploadDialog = ref(null);
    const filemanagerObj = ref(null);
    const uploadObj = ref(null);
    let hostUrl = 'https://physical-service.syncfusion.com/';
    const ajaxSettings = {
        url: hostUrl + 'api/FileManager/FileOperations',
        getImageUrl: hostUrl + 'api/FileManager/GetImage',
        uploadUrl: hostUrl + 'api/FileManager/Upload',
        downloadUrl: hostUrl + 'api/FileManager/Download'
    };
    const dialogHeader = 'Open';
    const showCloseIcon = true;
    const target = '#target';
    const animationSettings = { effect: 'None' };
    const dialogWidth = '850px';
    const btnClick = function() {
        uploadDialog.value.show();
    };
    const dialogOpen = function() {
        var fileObj = filemanagerObj.value.ej2Instances;
        fileObj.refreshLayout();
        document.getElementById('container').style.display = 'none';
    };
    const dialogClose = function() {
        var fileObj = filemanagerObj.value.ej2Instances;
        fileObj.path = "/";
        document.getElementById('container').style.display = 'block';
    };
    const onFileOpen = function(args) {
        let file = args.fileDetails;
        if (file.isFile) {
            args.cancel = true;
            uploadObj.value.files = [{name: file.name, size: file.size, type: file.type }];
            uploadDialog.value.hide();
        }
    };

    provide('filemanager',  [DetailsView, NavigationPane, Toolbar]);

</script>

<style>
    @import "../node_modules/@syncfusion/ej2-material3-theme/styles/file-manager/index.css";

   .fileupload {
        max-width: 500px;
        margin: auto;
    }
    #openBtn {
        position: absolute;
        top: 25px;
        margin-left: 13px;
        margin-top: 91px;
    }
    #target {
        height: 550px;
    }
    #dialog {
        top: 20px !important;
        max-height: 500px !important;
        left: 30px !important;
    }
</style>
<template>
    <div>
        <div class="control-section">
            <div id='container' class="fileupload">
                <ejs-uploader ref="uploadObj" id='defaultfileupload' name="UploadFiles">
                </ejs-uploader>
                <ejs-button id="openBtn" v-on:click="btnClick">Browse...</ejs-button>
            </div>
            <div id='target' class="control-section">
                <ejs-dialog
                    ref="uploadDialog"
                    id="dialog"
                    v-bind:visible="false"
                    :header="dialogHeader"
                    :animationSettings="animationSettings"
                    :showCloseIcon="showCloseIcon"
                    :open="dialogOpen"
                    :close="dialogClose"
                    :target="target"
                    :width="dialogWidth">
                    <div>
                        <ejs-filemanager ref="filemanagerObj" id="filemanager" :ajaxSettings='ajaxSettings' v-bind:allowMultiSelection="false" :fileOpen="onFileOpen" ></ejs-filemanager>
                    <div>
                </ejs-dialog>
            </div>
        </div>
    </div>
</template>
<script>

import { UploaderComponent } from '@syncfusion/ej2-vue-inputs';
import { ButtonComponent } from "@syncfusion/ej2-vue-buttons";
import { DialogComponent } from '@syncfusion/ej2-vue-popups';
import { FileManagerComponent, NavigationPane, Toolbar, DetailsView } from "@syncfusion/ej2-vue-filemanager";

let hostUrl = 'https://physical-service.syncfusion.com/';

export default {
name: "App",
components: {
    "ejs-uploader":UploaderComponent,
    "ejs-button":ButtonComponent,
    "ejs-dialog":DialogComponent,
    "ejs-filemanager":FileManagerComponent,
    },
    data () {
        return {
            dialogHeader: 'Open',
            showCloseIcon: true,
            target: '#target',
            animationSettings: { effect: 'None' },
            dialogWidth: '850px',
            ajaxSettings:  {
                url: hostUrl + 'api/FileManager/FileOperations',
                getImageUrl: hostUrl + 'api/FileManager/GetImage',
                uploadUrl: hostUrl + 'api/FileManager/Upload',
                downloadUrl: hostUrl + 'api/FileManager/Download'
            }
        };
    },
    provide: {
            filemanager: [DetailsView, NavigationPane, Toolbar]
    },
    methods:{
        btnClick: function() {
            this.$refs.uploadDialog.show();
        },
        // Uploader will be hidden, if Dialog is opened
        dialogOpen: function() {
            var fileObj = this.$refs.filemanagerObj.ej2Instances;
            fileObj.refreshLayout();
            document.getElementById('container').style.display = 'none';
        },
        // Uploader will be shown, if Dialog is closed
        dialogClose: function() {
            var fileObj = this.$refs.filemanagerObj.ej2Instances;
            fileObj.path = "/";
            document.getElementById('container').style.display = 'block';
        },
        // File Manager's fileOpen event function
        onFileOpen: function(args) {
            let file = args.fileDetails;
            if (file.isFile) {
                args.cancel = true;
                this.$refs.uploadObj.files = [{name: file.name, size: file.size, type: file.type }];
                this.$refs.uploadDialog.hide();
            }
        }
    }
}
</script>
<style>
    @import "../node_modules/@syncfusion/ej2-material3-theme/styles/file-manager/index.css";

   .fileupload {
        max-width: 500px;
        margin: auto;
    }
    #openBtn {
        position: absolute;
        top: 25px;
        margin-left: 13px;
        margin-top: 91px;
    }
    #target {
        height: 550px;
    }
    #dialog {
        top: 20px !important;
        max-height: 500px !important;
        left: 30px !important;
    }
    .fileupload .e-upload .e-file-select-wrap .e-css.e-btn {
        visibility:hidden;
    }
</style>

Adding File Manager inside the tab

The following example demonstrates placing the File Manager inside a Tab’s content area.

<template>
    <div class="e-tab-section">
        <div class="col-lg-8 content-wrapper control-section">
            <div class="e-sample-resize-container">
            <ejs-tab ref="tabObj" id="tab_orientation" :showCloseButton=true heightAdjustMode='Auto'>
                <e-tabitems>
                    <e-tabitem :header='headerText0' :content='OverviewTemplate'></e-tabitem>
                    <e-tabitem :header='headerText1' :content='FilemanagerTemplate'></e-tabitem>
                </e-tabitems>
            </ejs-tab>
            </div>
        </div>
    </div>
</template>
<script setup>
import { FileManagerComponent, DetailsView, NavigationPane, Toolbar } from "@syncfusion/ej2-vue-filemanager";
import { TabComponent as EjsTab, TabItemsDirective as ETabitems, TabItemDirective as ETabitem } from "@syncfusion/ej2-vue-navigations";
import {createApp} from 'vue';

const app = createApp({});

const Template1 = app.component("demoTemplate1", {
  template: ` <div><div class="cnt-text">Overview</div><div>The File Manager component contains a context menu for performing file operations, large-icons view for displaying the files and folders, and a breadcrumb for navigation. However, these basic functionalities can be extended by using the additional feature modules like toolbar, navigation pane, and details view to simplify the navigation and file operations within the file system</div></div>`,
  data:() => ({})
});

const Template2 = Vue.component("demoTemplate2", {
    components: {
        "ejs-filemanager":FileManagerComponent,
    },
   template: ` <div><div class="content-title">
                   <div class="cnt-text">File Manager with default functionalities</div>
              </div>
              <ejs-filemanager id="file-manager" :ajaxSettings="ajaxSettings">
        </ejs-filemanager></div>`,

  data() {
    return {
       ajaxSettings:
            {
                url: "https://physical-service.syncfusion.com/api/FileManager/FileOperations",
                getImageUrl: "https://physical-service.syncfusion.com/api/FileManager/GetImage",
                uploadUrl: "https://physical-service.syncfusion.com/api/FileManager/Upload",
                downloadUrl: "https://physical-service.syncfusion.com/api/FileManager/Download"
            },
    };
  },
  provide: {
        filemanager: [DetailsView, NavigationPane, Toolbar]
}
});

const headerText0 = { text: 'Overview' };
const headerText1 = { text: 'FileManager' };
const OverviewTemplate = function () {
  return {
      template : Template1
  }
};
const FilemanagerTemplate = function () {
  return {
      template : Template2
  }
};

</script>
<style>
@import "../node_modules/@syncfusion/ej2-material3-theme/styles/file-manager/index.css";

.content-title {
    height: 50px;
    display: table;
    margin: 0 auto;
}
.cnt-text {
    text-align: center;
    font-size: 18px;
    font-weight: 600;
    padding: 10px;
}

</style>
<template>
  <div class="e-tab-section">
        <div class="col-lg-8 content-wrapper control-section">
            <div class="e-sample-resize-container">
                <ejs-tab ref="tabObj" id="tab_orientation" :showCloseButton="true">
                <e-tabitems>
                    <e-tabitem :header="headerText0" :content="OverviewTemplate"></e-tabitem>
                    <e-tabitem :header="headerText1" :content="FilemanagerTemplate"></e-tabitem>
                </e-tabitems>
                </ejs-tab>
            </div>
        </div>
    </div>
</template>
<script>

import { TabComponent, TabItemDirective, TabItemsDirective,} from '@syncfusion/ej2-vue-navigations';
import { FileManagerComponent, DetailsView, NavigationPane, Toolbar,} from '@syncfusion/ej2-vue-filemanager';
import { createApp } from 'vue';

var tabTemp = createApp().component('demoTemplate1', {
  template: ` <div><div class="cnt-text">Overview</div><div>The File Manager component contains a context menu for performing file operations, large-icons view for displaying the files and folders, and a breadcrumb for navigation. However, these basic functionalities can be extended by using the additional feature modules like toolbar, navigation pane, and details view to simplify the navigation and file operations within the file system</div></div>`,
  data() {
    return {
      data: {},
    };
  },
});

var fileTemp = createApp().component('demoTemplate2', {
  components: {
    'ejs-filemanager': FileManagerComponent,
  },
  template:
    '<div><div class="content-title"><div class="cnt-text">File Manager with default functionalities</div></div><ejs-filemanager id="file-manager" :ajaxSettings="ajaxSettings"> </ejs-filemanager></div>',
  data() {
    return {
      ajaxSettings: {
        url: 'https://physical-service.syncfusion.com/api/FileManager/FileOperations',
        getImageUrl:
          'https://physical-service.syncfusion.com/api/FileManager/GetImage',
        uploadUrl:
          'https://physical-service.syncfusion.com/api/FileManager/Upload',
        downloadUrl:
          'https://physical-service.syncfusion.com/api/FileManager/Download',
      },
    };
  },
  provide: {
    filemanager: [DetailsView, NavigationPane, Toolbar],
  },
});

export default {
  name: 'App',
  components: {
    'ejs-tab': TabComponent,
    'e-tabitems': TabItemsDirective,
    'e-tabitem': TabItemDirective,
  },
  data: function () {
    return {
      headerText0: { text: 'Overview' },
      headerText1: { text: 'Filemanager' },
      OverviewTemplate: function () {
        return {
          template: tabTemp,
        };
      },
      FilemanagerTemplate: function () {
        return {
          template: fileTemp,
        };
      },
    };
  },
};
</script>

<style>
@import "../node_modules/@syncfusion/ej2-material3-theme/styles/file-manager/index.css";

.content-title {
  height: 50px;
  display: table;
  margin: 0 auto;
}
.cnt-text {
  text-align: center;
  font-size: 18px;
  font-weight: 600;
  padding: 10px;
}
</style>